<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode NOT</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="NOP.htm"> NOP No Operation</A><BR><B>next:</B><A HREF="OR.htm"> OR Logical Inclusive OR</A><P><HR><P><H1>NOT -- One's Complement Negation</H1><PRE>
Opcode    Instruction   Clocks    Description

F6   /2   NOT r/m8       2/6      Reverse each bit of r/m byte
F7   /2   NOT r/m16      2/6      Reverse each bit of r/m word
F7   /2   NOT r/m32      2/6      Reverse each bit of r/m dword
</PRE><H2>Operation</H2><PRE>
r/m := NOT r/m;
</PRE><H2>Description</H2>NOT inverts the operand; every 1 becomes a 0, and vice versa.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>#GP(0) if the result is in a nonwritable segment; #GP(0) for an illegal memory operand effective address in the CS, DS, ES, FS, or GS segments; #SS(0) for an illegal address in the SS segment; #PF(fault-code) for a page fault<H2>Real Address Mode Exceptions</H2>Interrupt 13 if any part of the operand would lie outside of the effective address space from 0 to 0FFFFH<H2>Virtual 8086 Mode Exceptions</H2>Same exceptions as in real-address mode; #PF(fault-code) for a page fault<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="NOP.htm"> NOP No Operation</A><BR><B>next:</B><A HREF="OR.htm"> OR Logical Inclusive OR</A> </BODY>